import React__default from'react';import {Typography}from'antd';import {TagOutlined}from'@ant-design/icons';import {useFela}from'react-fela';import {styleSheet}from'./style.js';import'tslib';import {msToHMS,calcDurationTimeMilliSec}from'../../../../../utils/timeConverter.js';const DailyRecord = (props) => {
    const { Text } = Typography;
    const { css } = useFela();
    const { record } = props;
    return (React__default.createElement("div", { className: css(styleSheet.dailyRecord) },
        React__default.createElement("div", { className: "header" },
            React__default.createElement(Text, { disabled: true }, record.date),
            React__default.createElement(Text, { disabled: true }, msToHMS(record.duration))),
        record.days.map((data, index) => (React__default.createElement("div", { key: index, className: "body" },
            React__default.createElement("div", { className: "price" },
                React__default.createElement(Text, { style: { color: 'green', fontWeight: 'bold' } }, data.taskName || '(No task name)'),
                React__default.createElement(Text, { style: { color: 'green', fontWeight: 'bold' } },
                    "$ ",
                    React__default.createElement(TagOutlined, { style: { fontSize: '14px' } }))),
            React__default.createElement("div", { className: "description" },
                React__default.createElement(Text, { disabled: true }, data.description || '(No description)'),
                React__default.createElement(Text, null, msToHMS(calcDurationTimeMilliSec(data.startTime, data.endTime)))))))));
};export default DailyRecord;//# sourceMappingURL=index.js.map
